
public class CapitalStrategyRevolver extends CapitalStrategy
{
    public double capital(Loan loan)
    {
        return super.capital(loan) + unusedCapital(loan);
    }
    
    public double unusedCapital(Loan loan)
    {
        return loan.unusedRiskAmount() * duration(loan) * unusedRiskFactor(loan);
    }
    
    public double riskAmountFor(Loan loan)
    {
        return loan.outstandingRiskAmount();
    }
}