
public abstract class CapitalStrategy
{
    public double capital(Loan loan)
    {
        return loan.getCommitment() * unusedPercentageFor(loan) * duration(loan) * riskFactorFor(loan);
    }
    
    // Hook 
    public double unusedPercentageFor(Loan loan)
    {
        return 1.0;
    }
    
    public double duration(Loan loan)
    {
        return 0.0;
    }
    
    public double riskFactorFor(Loan loan)
    {
        return 0.0;
    }

    public double unusedRiskFactor(Loan loan)
    {
        return 0.0;
    }
}
